org.wso2.carbon.tryit

## Class WADL2FormRequestProcessor

- java.lang.Object
- - org.wso2.carbon.tryit.WADL2FormRequestProcessor

- All Implemented Interfaces:
    org.wso2.carbon.core.transports.HttpGetRequestProcessor

      public class WADL2FormRequestProcessor
      extends Object
      implements org.wso2.carbon.core.transports.HttpGetRequestProcessor

  This class helps to load needed Resources for the Tryit page. When FE/BE is separated we cannot access the JavaScript files and images required for the proper operation of Tryit. This Request Processor is used to load any needed content from BE to FE. We can load any content from wadl2form's resources using ?wadl2form&resource=foo.js&type=js or ?wadl2form&resource=bar.jpg&type=image

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WADL2FormRequestProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.wso2.carbon.core.transports.CarbonHttpRequest request, org.wso2.carbon.core.transports.CarbonHttpResponse response, org.apache.axis2.context.ConfigurationContext configurationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WADL2FormRequestProcessor

          public WADL2FormRequestProcessor()

  - ### Method Detail

    - #### process

          public void process(org.wso2.carbon.core.transports.CarbonHttpRequest request,
                              org.wso2.carbon.core.transports.CarbonHttpResponse response,
                              org.apache.axis2.context.ConfigurationContext configurationContext)
                       throws Exception

      Specified by:
        `process` in interface `org.wso2.carbon.core.transports.HttpGetRequestProcessor`
      Throws:
        `Exception`

Copyright © 2017 WSO2. All rights reserved.